Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::MouseMotionListener Class Reference

Specialised EventListener for mouse motion. More...

`#include <OgreEventListeners.h>`

Inheritance diagram for Ogre::MouseMotionListener:

[legend]
List of all members.

## Public Methods

virtual void | mouseMoved (MouseEvent *e)=0
| Invoked when the mouse has been moved.
virtual void | mouseDragged (MouseEvent *e)=0
| Invoked when the mouse dragged.
virtual void | mouseDragMoved (MouseEvent *e)
| sent to target
virtual bool | isMulticaster () const
| Returns whether or not the listener is a multicaster.

## Detailed Description

Specialised EventListener for mouse motion.

Definition at line 138 of file OgreEventListeners.h.

## Member Function Documentation

virtual bool Ogre::EventListener::isMulticaster | ( |  | ) | const`[virtual, inherited]`

| Returns whether or not the listener is a multicaster. Reimplemented in Ogre::EventMulticaster. Definition at line 65 of file OgreEventListeners.h. Referenced by Ogre::EventMulticaster::convertListenerToMulti(), and Ogre::EventMulticaster::removeInternal().

virtual void Ogre::MouseMotionListener::mouseDragged | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when the mouse dragged. Implemented in Ogre::CursorGuiElement, Ogre::ListGuiElement, Ogre::PopupMenuGuiElement, and Ogre::ScrollBarGuiElement. Referenced by Ogre::MouseMotionTarget::processMouseMotionEvent().

virtual void Ogre::MouseMotionListener::mouseDragMoved | ( | MouseEvent * | e | ) | `[virtual]`

| sent to target Definition at line 154 of file OgreEventListeners.h. Referenced by Ogre::MouseMotionTarget::processMouseMotionEvent().

virtual void Ogre::MouseMotionListener::mouseMoved | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when the mouse has been moved. Implemented in Ogre::CursorGuiElement, Ogre::ListGuiElement, Ogre::PopupMenuGuiElement, and Ogre::ScrollBarGuiElement. Referenced by Ogre::MouseMotionTarget::processMouseMotionEvent().

The documentation for this class was generated from the following file:

- OgreEventListeners.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:16 2004